Ruby - Bug #122

SEGV by ./ruby -e "
06/09/2008 03:01 PM - Anonymous

Status: Closed
Priority: Normal
Assignee: matz (Yukihiro Matsumoto)

Target version:

ruby -v: Backport:

Description
=begin
aaooooa srupy -e 0 seav 0000

% ./ruby -e "
/ruby: [BUG] Segmentation fault
ruby 1.9.0 (2008-06-09 revision 17041) [i686-linux]

-- stack frame ------------

0000 (0xb7d36008): 00000004

0001 (0xb7d3600c): 00000001

0002 (0xb7d36010): 00000004

0003 (0xb7d36014): 00000001 <- Ifp <- dfp

-- control frame ----------

¢:0002 p:-34091400 s:0004 b:0004 1:000003 d:000003 TOP
¢:0001 p:0000 s:0002 b:0002 1:000001 d:000001 TOP :17

-- backtrace of native function call (Use addr2line) --
0x810e8fa
0x813596e
0x81359cb
0x80d4110
0xb7f6c440
0x80d381e
0x80fd5da
0x80d1ff5
0x805b094
0x80589ed
Oxb7dcdea8
0x80588f1

zsh: abort (core dumped) ./ruby -e "

% gdb ./ruby

GNU gdb 6.4.90-debian

Copyright (C) 2006 Free Software Foundation, Inc.

GDB is free software, covered by the GNU General Public License, and you are

welcome to change it and/or distribute copies of it under certain conditions.

Type "show copying" to see the conditions.

There is absolutely no warranty for GDB. Type "show warranty" for details.

This GDB was configured as "i486-linux-gnu"...Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".

(gdb) run -e "

Starting program: /home/ruby/spawn/ruby/ruby -e "
Failed to read a valid object file image from memory.
[Thread debugging using libthread_db enabled]
[New Thread -1209902208 (LWP 28299)]
[New Thread -1208128592 (LWP 28302)]

Program received signal SIGSEGV, Segmentation faulit.

[Switching to Thread -1209902208 (LWP 28299)]

require_libraries (opt=0xbffd1784) at ruby.c:458

458 while (RARRAY_LEN(list)) {

(gdb) bt

#0 require_libraries (opt=0xbffd1784) at ruby.c:458

#1 0x080d381e in process_options (arg=3221034980) at ruby.c:1108

#2 0x080fd5da in rb_vm_call_cfunc (recv=136088960, func=0x80d3540
<process_options>, arg=3221034980, blockptr=0x0,

filename=135957620) at vm.c:1303

#3 0x080d1ff5 in ruby_process_options (argc=3, argv=0xbffd1984) at ruby.c:1531
#4 0x0805b094 in ruby_options (argc=3, argv=0xbffd1984) at eval.c:104

#5 0x080589ed in main (argc=3, argv=0xbffd1984, envp=0xbffd1994) at main.c:34

(gdb)
(00 03000 000)[Tanaka Akira]

=end

History

#1 - 06/09/2008 03:42 PM - matz (Yukihiro Matsumoto)
- Status changed from Open to Closed
- Assignee set to matz (Yukihiro Matsumoto)

- Start date set to 06/09/2008

=begin

=end
